auth.password.signin
curl --request POST \
--url https://platform.trylath.com/auth/password/signin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"password": "<string>",
"userAgent": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifier: '<string>', password: '<string>', userAgent: '<string>'})
};
fetch('https://platform.trylath.com/auth/password/signin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/auth/password/signin"
payload = {
"identifier": "<string>",
"password": "<string>",
"userAgent": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/auth/password/signin"
payload := strings.NewReader("{\n \"identifier\": \"<string>\",\n \"password\": \"<string>\",\n \"userAgent\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"isNew": true
},
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accessToken": "<string>",
"accessExpiresAt": "2023-11-07T05:31:56Z",
"refreshToken": "<string>",
"refreshExpiresAt": "2023-11-07T05:31:56Z"
}
}
}auth.password.signin
Signs in with an email or phone and a password. An unknown address and a wrong password get the same answer. Rate limited per address and per IP. Returns a session, or mfa.mfaToken when a second factor is owed.
POST
/
auth
/
password
/
signin
auth.password.signin
curl --request POST \
--url https://platform.trylath.com/auth/password/signin \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"password": "<string>",
"userAgent": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({identifier: '<string>', password: '<string>', userAgent: '<string>'})
};
fetch('https://platform.trylath.com/auth/password/signin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/auth/password/signin"
payload = {
"identifier": "<string>",
"password": "<string>",
"userAgent": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/auth/password/signin"
payload := strings.NewReader("{\n \"identifier\": \"<string>\",\n \"password\": \"<string>\",\n \"userAgent\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"isNew": true
},
"session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accessToken": "<string>",
"accessExpiresAt": "2023-11-07T05:31:56Z",
"refreshToken": "<string>",
"refreshExpiresAt": "2023-11-07T05:31:56Z"
}
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Headers
Replays the stored response for the same key and input; refuses different input.
Body
application/json
Last modified on September 13, 2026
Was this page helpful?

